%define	name	gastman
%define	version	20050401
%define	release 1mdk

Summary:	GTK ASTerisk MANager
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Configuration/Networking
License:	GPL
URL:		http://www.asterisk.org
Source0:	%{name}-%{version}.tar.bz2
Patch0:		gastman-20040803-mdk.diff.bz2
#Requires:	asterisk
BuildRequires:	gtk+2-devel
BuildRequires:	ImageMagick
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GTK ASTerisk MANager is a administration tool for asterisk.

%prep

%setup -q
%patch0 -p0

%build

%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_datadir}/%{name}/icons
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_liconsdir}

install -m0755 gastman %{buildroot}%{_sbindir}/
install -m0644 art/*.xpm %{buildroot}%{_datadir}/%{name}/icons/

# Mandrake Icons
convert -size 48x48 art/phone2.xpm %{buildroot}%{_liconsdir}/%{name}.png
convert -size 32x32 art/phone2.xpm %{buildroot}%{_iconsdir}/%{name}.png
convert -size 16x16 art/phone2.xpm %{buildroot}%{_miconsdir}/%{name}.png

# Mandrake Menus
install -d %{buildroot}/%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
 command="%{_sbindir}/%{name}" \
 title="GTK ASTerisk MANager" \
 longtitle="GTK ASTerisk MANager is a administration tool for asterisk." \
 needs="x11" \
 icon="%{name}.png" \
 section="Configuration/Networking"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%{_sbindir}/*
%{_datadir}/%{name}/icons
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Sun Apr 24 2005 Oden Eriksson <oeriksson@mandriva.com> 20050401-1mdk
- new snap

* Tue Nov 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 20040803-1mdk
- initial mandrake package
